Module java.compiler
Package javax.annotation.processing

# Class FilerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.annotation.processing.FilerException

All Implemented Interfaces:
  `Serializable`

public class FilerException extends IOException
Indicates a `Filer` detected an attempt to open a file that would violate the guarantees provided by the `Filer`. Those guarantees include not creating the same file more than once, not creating multiple files corresponding to the same class or interface or package, and not creating files for classes or interfaces with invalid names.

Since:
  1.6
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FilerException​(String s)`
Constructs an exception with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilerException

public FilerException​(String s)
Constructs an exception with the specified detail message.

Parameters:
  `s` - the detail message, which should include the name of the file attempting to be opened; may be `null`